Content-type: text/html; charset=UTF-8

# eiskaltdcpp-qt

Section: User Commands (1)
Updated: 28 Apr 2019
Index Return to Main Contents

## NAME

EiskaltDC++_Qt - GUI based on Qt

## SYNOPSIS

eiskaltdcpp-qt <magnet link> <dchub://link> <adc(s)://link>
eiskaltdcpp-qt <Key>

## DESCRIPTION

EiskaltDC++ is a cross-platform program that uses the Direct Connect and ADC protocols. It is compatible with DC++, AirDC++, FlylinkDC++ and other DC clients. EiskaltDC++ also interoperates with all common DC hub software.

## COMMAND LINE OPTIONS

A summary of options is included below.

-h, --help
  display help and exit
-V, --version
  output version information and exit

## KEYBOARD SHORTCUTS

These are default keyboard shortcuts. You can change them in Preferences dialog (Shorcuts tab).

Ctrl+O
  Open options window
Ctrl+L
  Open own filelist
Ctrl+E
  Refresh share
Ctrl+R
  Reconnect to hub
Ctrl+N
  Quick connect
Ctrl+H
  Favourite hubs
Ctrl+P
  Public hubs
Ctrl+U
  Favourite users
Ctrl+T
  Show/hide transfers widget
Ctrl+D
  Show/hide downloads queue widget
Ctrl+S
  Open search widget
Ctrl+F
  Show/hide find or filter frame
Ctrl+A
  Select all
Ctrl+W
  Close current widget
Ctrl+M
  Show/hide main menu
Ctrl+PageUp
  Switch to the previous widget. Available only if widget panel is used, not working in mode of sidebar.
Ctrl+PageDown
  Switch to the next widget. Available only if widget panel is used, not working in mode of sidebar.
Ctrl+Up
  Switch to the previous string from history of sent messages in chat for current session. Available only when input frame is focused on.
Ctrl+Down
  Switch to the next string from history of sent messages in chat for current session. Available only when input frame is focused on.
Ctrl++
  Zoom in text in the chat
Ctrl+-
  Zoom out text in the chat
Ctrl+Mousewheel
  Change font size in the chat
Alt+<0-9>
  Go to one of the first ten widgets. Available only if widget panel is used, not working in mode of sidebar.
Esc
  Hide find or filter frame. Also it close dialog window. Otherwise hide main window in tray (if tray icon is enabled)
Del
  Delete selected items. Now available in Download Queue widget.

## CHAT COMMANDS

/aspell on/off - enable/disable spell checking (only if program was build with aspell support)
/alias <ALIAS_NAME>::<COMMAND> - make alias /ALIAS_NAME to /COMMAND
For example, command
/alias amarok::/sh /usr/share/eiskaltdcpp/examples/amr.en_US.sh
will create alias /amarok
/alias purge <ALIAS_NAME> - remove alias
/alias list - list all aliases
/away <message> - set away-mode on/off
/back - set away-mode off
/browse <nick> - browse user files
/clear - clear chat window
/kword add <keyword> - add user-defined keyword which will be highlighted in the chat
/kword purge <keyword> - remove user-defined keyword
/kword list - full list of keywords which will be highlighted in the chat
/magnet - default action with magnet (0-ask, 1-search, 2-download)
/close - close this hub
/fav - add this hub to favorites
/grant <nick> - grant extra slot to user
/help, /?, /h - show help
/info <nick> - show info about user
/ratio [show] - show ratio [send in chat]
/me - say a third person
/pm <nick> - begin private chat with user
/sh <command> - start command and redirect output to the chat
/luafile <file> - load Lua file
/lua <chunk> - execute Lua Chunk
/dcpps <param> [value] - set Core option param in value (without value return current value of option)
New settings will be applied immediately and will be stored in config
(i.e. ~/.config/eiskaltdc++/DCPlusPlus.xml) as well.
For example:
/dcpps MinimumSearchInterval 5 (specify minimal search interval to 5 seconds)
/ws <param> [value] - set GUI option param in value (without value return current value of option)
New settings will be applied immediately and will be stored in config
(i.e. ~/.config/eiskaltdc++/EiskaltDC++_Qt.conf) as well.
For example:
/ws chat-dbl-click-action <0-2> (double click)
/ws chat-mdl-click-action <0-2> (middle click)
(0 - insert nick into input widget, 1 - get file list, 2 - private message)
/ws app-unit-base <1024 or 1000> (show kibibyte (KiB) or kilobyte (KB), etc.)
/ws chat-timestamp <hh:mm:ss, hh:mm, hh and etc.> (set chat timestamp)
/ws hubframe/chat-background-color <color> (set background color in the chat, where <color> is in HTML format)
/ws hubframe/unreaden-draw-line <0-1> (0 - switch off, 1 - switch on)
/ws hubframe/redirect-pm-to-main-chat <0-1> (see above)

## FILES

/usr/share/eiskaltdcpp/qt
  Directory with some resource files
~/.config/eiskaltdc++/ or $XDG_CONFIG_HOME/eiskaltdc++/
  Directory with configuration files
/usr/share/eiskaltdcpp/examples
  Directory with examples of custom scripts (see /sh chat command)

## AUTHOR

This program was written by EiskaltDC++ developers (see file AUTHORS).
EiskaltDC++ homepage: https://github.com/eiskaltdcpp/eiskaltdcpp/

## BUG REPORTS

If you find a bug in EiskaltDC++ please report it here: https://github.com/eiskaltdcpp/eiskaltdcpp/issues

This manual page was written by Boris Pek <tehnick-8@yandex.ru> for the Debian project (and may be used by others).

## Index

NAME
SYNOPSIS
DESCRIPTION
COMMAND LINE OPTIONS
KEYBOARD SHORTCUTS
CHAT COMMANDS
FILES
AUTHOR
BUG REPORTS

This document was created by man2html, using the manual pages.
Time: 10:43:36 GMT, April 28, 2019